packages python-matplotlib2.spec
      Pages: < 1 >  DOWNLOAD      
Name:          python-matplotlib2
Version:       2.2.3
Release:       2mamba
Summary:       Python plotting library
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@...>
URL:           http://matplotlib.sourceforge.net/
Source0:       https://github.com/matplotlib/matplotlib.git/v%{version}/matplotlib-%{version}.tar.bz2
#Source0:       http://downloads.sourceforge.net/project/matplotlib/matplotlib/matplotlib-%{version}/matplotlib-%{version}.tar.gz
Source1:       python-matplotlib-1.0.1-setup.cfg
License:       Python
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpython-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtcl-devel
BuildRequires: libtk-devel
## AUTOBUILDREQ-END
BuildRequires: pygtk-devel
BuildRequires: python-tk
BuildRequires: wxPython
%if 0%{?with_pyver}
BuildRequires: python3-tk
%endif
# BuildRequires: PyQt
# BuildRequires: PyQt4-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms.
Matplotlib can be used in python scripts, the python and ipython shell (ala MATLAB or Mathematica), web application servers, and six graphical user interface toolkits.

%package -n python-matplotlib
Group:         System/Libraries/Python
Summary:       Python plotting library
Requires:      dejavu-fonts-ttf
Requires:      python-dateutil%{?pyappend}
Requires:      python-numpy%{?pyappend}
Requires:      python-tz%{?pyappend}
%if 0%{?with_pyver}
Requires:      py%{?pyver:%pyver}cairo
%else
Requires:      py2cairo
%endif
Requires:      python-cycler%{?pyappend}
Requires:      python-dateutil%{?pyappend}
Requires:      python-pyparsing%{?pyappend}
Requires:      python-setuptools%{?pyappend}
Requires:      python-six%{?pyappend}
Requires:      pygobject%{?pyappend}
Requires:      python >= %python_version

%description -n python-matplotlib
Matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms.
Matplotlib can be used in python scripts, the python and ipython shell (ala MATLAB or Mathematica), web application servers, and six graphical user interface toolkits.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n matplotlib-%{version}

chmod -x lib/matplotlib/mpl-data/images/*.svg
cp %{SOURCE1} ./setup.cfg

%if 0%{?with_pyver}
sed -i "s|gtk = True|gtk = False|" setup.cfg
sed -i "s|gtkagg = True|gtkagg = False|" setup.cfg
%endif

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch}

chmod +x %{buildroot}%{python_sitearch}/matplotlib/dates.py
rm -rf %{buildroot}%{python_sitearch}/matplotlib/mpl-data/fonts

%files -n python-matplotlib%{?pyappend}
%defattr(-,root,root)
%{python_sitearch}/*.py*
%dir %{python_sitearch}/matplotlib
%{python_sitearch}/matplotlib/*
%dir %{python_sitearch}/mpl_toolkits
%{python_sitearch}/mpl_toolkits/*
%{python_sitearch}/matplotlib-%{version}-py*
%if 0%{?with_pyver}
%{python_sitearch}/__pycache__/pylab.cpython*.py*
%endif
%doc LICENSE/LICENSE LICENSE/LICENSE_enthought.txt

%changelog
* Tue Aug 13 2019 Silvan Calarco <silvan.calarco@...> 2.2.3-2mamba
- legacy package for python 2.7

* Sun Mar 17 2019 Silvan Calarco <silvan.calarco@...> 2.2.3-1mamba
- update to 2.2.3

* Sat Oct 22 2016 Automatic Build System <autodist@...> 1.5.3-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Silvan Calarco <silvan.calarco@...> 1.5.2-1mamba
- update to 1.5.2

* Wed Aug 03 2016 Silvan Calarco <silvan.calarco@...> 1.5.1-5mamba
- fix pyNcairo requirement according to %pyver

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@...> 1.5.1-4mamba
- fixed requirement for py[2|3]cairo

* Mon Jul 18 2016 Davide Madrisan <davide.madrisan@...> 1.5.1-3mamba
- add some missing runtime requirements

* Fri Mar 18 2016 Davide Madrisan <davide.madrisan@...> 1.5.1-2mamba
- update the specfile for python3

* Mon Jan 11 2016 Automatic Build System <autodist@...> 1.5.1-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Automatic Build System <autodist@...> 1.5.0-1mamba
- automatic version update by autodist

* Sat Feb 21 2015 Automatic Build System <autodist@...> 1.4.3-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@...> 1.4.2-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@...> 1.4.0-1mamba
- automatic version update by autodist

* Fri Jul 18 2014 Silvan Calarco <silvan.calarco@...> 1.3.1-1mamba
- update to 1.3.1

* Sun Feb 06 2011 gil <puntogil@...> 1.0.1-1mamba
- package created by autospec